Name:           maven-jar-plugin
Version:        2.6
Release:        %mkrel 3
Group:          Development/Java
Summary:        Maven JAR Plugin

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-jar-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)

%description
Builds a Java Archive (JAR) file from the compiled
project classes and resources.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q

%build
# Test class MockArtifact doesn't override method getMetadata
%mvn_build -f -- -DmavenVersion=3.1.1

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 2.6-3.mga6
+ Revision: 977331
- First rebuild of the java stack
- sync package maven-jar-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.5-1.mga5
+ Revision: 807796
- Sync with Fedora 21 (update to 2.5)

* Tue Dec 30 2014 daviddavid <daviddavid> 2.4-8.mga5
+ Revision: 807385
- add missing BuildRequires on maven-plugin-plugin
- rebuild against current java stack

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 2.4-5.mga4
+ Revision: 565092
- Build with xmvn

* Sat Oct 19 2013 umeabot <umeabot> 2.4-4.mga4
+ Revision: 529209
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 dmorgan <dmorgan> 2.4-3.mga4
+ Revision: 450976
- Install license files
- Use generated maven file lists

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + gil <gil>
    - update to 2.4

* Sun Dec 25 2011 dmorgan <dmorgan> 2.3.2-1.mga2
+ Revision: 187578
- New version 2.3.2
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.1-3.mga1
+ Revision: 92706
- Rebuild after bootstrapping
- imported package maven-jar-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3.1-1
- Update to 2.3.1.
- Keep plexus-container-default on the dependency tree.
- Drop depmap - not needed now.

* Wed May 19 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-3
- Add depmap.

* Wed May 19 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-2
- Requires maven-shared-archiver.

* Thu May 13 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-1
- Initial package
